Bug 468946 - "Paste Into Folder" flickers like mad
"Paste Into Folder" flickers like mad
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F10DesktopBlocker
  Show dependency treegraph
 
Reported: 2008-10-28 22:27 EDT by Bastien Nocera
Modified: 2015-03-03 17:33 EST (History)
3 users (show)

See Also:
Fixed In Version: gvfs-1.0.2-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 09:37:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nautilus-popup-endless-loop.patch (1.72 KB, patch)
2008-11-03 10:51 EST, Tomáš Bžatek
no flags Details | Diff
nautilus-popup-endless-loop.patch (939 bytes, patch)
2008-11-04 08:12 EST, Tomáš Bžatek
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 357468 None None None Never

  None (edit)
Description Bastien Nocera 2008-10-28 22:27:55 EDT
nautilus-2.24.1-1.fc10.i386
gvfs-1.0.2-1.fc10.i386

1. Mount an smb share in nautilus
2. Right click on it
3. After about a second, "Paste into folder" will be flickering bizarrely

This doesn't seem to be an X problem (not artifacts anywhere else), or a problem for folders in general. This also happens with sftp mounts, and probably with a number of others.

(A little more work on this shows that the output of dbus-monitor would be very interesting to look at, and that the excessive dbus traffic happens even if the mount is just selected, and no menu is shown).
Comment 1 Tomáš Bžatek 2008-11-03 10:51:04 EST
Created attachment 322323 [details]
nautilus-popup-endless-loop.patch

Proposed patch adding a flag to prevent queueing another request for menu update. Tested as working, though it's a silly solution.
Comment 2 Tomáš Bžatek 2008-11-04 08:12:54 EST
Created attachment 322417 [details]
nautilus-popup-endless-loop.patch

Patch fixing the real issue.
Comment 3 Tomáš Bžatek 2008-11-04 09:29:17 EST
Fixed in gvfs-1.0.2-3.fc10
Comment 4 Jesse Keating 2008-11-04 09:44:11 EST
Re-opening until this is actually in rawhide.

https://fedoraproject.org/wiki/ReleaseEngineering/FinalFreezePolicy
Comment 5 Tomáš Bžatek 2008-11-07 09:37:09 EST
Tagged into f10-final, really closing.
https://fedorahosted.org/rel-eng/ticket/968

Note You need to log in before you can comment on or make changes to this bug.